> For the complete documentation index, see [llms.txt](https://docs.roboflow.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.roboflow.com/deploy/sdks/web-browser/web-inference.js/inferencejs-requirements.md).

# inferencejs Requirements

{% hint style="info" %}
Learn more about `inferencejs` [here](/deploy/sdks/web-browser.md) and see the [`inferencejs` reference](/deploy/sdks/web-browser/web-inference.js/inferencejs-reference.md)
{% endhint %}

**Minimum Browser Versions**

* **Chrome**: 61+
* **Firefox**: 60+
* **Safari**: 15.4+
* **Edge (Chromium-based)**: 79+
* **Opera**: 48+

{% hint style="info" %}
These are minimum browser versions based on available MDN feature-support information of browser features `inferencejs` uses and is meant for basic guidance.\
\
Not all of these browsers have been tested on, and there may be instances where a higher version than what is listed is required for use. These minimums are subject to change
{% endhint %}

**Required Browser Features**

* Web Workers (`Worker` API)
* `navigator.hardwareConcurrency`
* `navigator.mediaDevices.getUserMedia`
* `createImageBitmap`
* ES6+
* ESM
* Promises & Fetch API


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.roboflow.com/deploy/sdks/web-browser/web-inference.js/inferencejs-requirements.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
